Драйвера для Lucent Winmodem

Аватар пользователя fuze

Кто подскажет где и какие драйвера (версия и пр.) найти для Lucent Winmodem (Genius)? Для ASP10 выкладывали же пакет ltmodem-kv_2.6.9_1.667asp-8.31a10-1.i686.... Может и для ASP11 выложат...

Аватар пользователя Subj

Re: Драйвера для Lucent Winmodem

Хм, вот еще.. хотя оправданно ли задавать такой вопрос...?
Никто не ковырял open source версию драйвера для Agere модемов?(линк) У меня более поздняя модель чипсета и под него он никак вообще. Довольно таки долгое время правил эти сурсы, массивы DSP из работающего бинарного драйвера выдирал, но мож там назначения регистров перетасовали или еще что, в общем максимум что удалось добиться - так это хрюкания динамика и последующий зависон системы. А хотел всего лишь спортировать под другую ОС.
Жалко что этот проект чтот совсем признаков жизни не подает.

Аватар пользователя keng00ru

Re: Драйвера для Lucent Winmodem

Может хватит уже бедные Lucent Winmodem-ы терзать? Пересобирать драйвера, написанные для 2.4.xx, под ядра серии 2.6.хх? Да их проще будет с нуля переписать!
Короче: в ядрах серии 2.6.хх имеются два модуля:
ltmodem и ltserial
Угадайте, для чего они нужны? ;-)

Аватар пользователя fuze

Re: Драйвера для Lucent Winmodem

keng00ru писал(а):
Да их проще будет с нуля переписать!

А если я не програмист???!!!
А кто собирал пакет ltmodem-kv_2.6.9_1.667asp-8.31a10-1.i686 для ASP10?
Да, и не проще драйвера для таких модемов включить в дистрибутив...

Аватар пользователя keng00ru

Re: Драйвера для Lucent Winmodem

fuze писал(а):
А если я не програмист???!!!

Так веришь-нет и я не хакер-ядерщик! Именно поэтому мне было бы проще включить то, что уже есть в ядре, чем перелопачивать драйвера, которые написаны не для моего ядра!

Цитата:
А кто собирал пакет ltmodem-kv_2.6.9_1.667asp-8.31a10-1.i686 для ASP10?

Не знаю. Видимо, какой-то программист. Катается от смеха

Цитата:
Да, и не проще драйвера для таких модемов включить в дистрибутив...

Читай ещё раз и внимательно: в ядрах серии 2.6.хх имеются два модуля: ltmodem и ltserial
ASP10 построен как раз на ядре "2.6.чего-то-там". Ну? Думай, думай!

Ладно, если уж совсем никак, то вот ссылочки:
Очень подробная: http://www.infocity.kiev.ua/os/content/os398.phtml
Очень простая: http://linux.alhimia.ru/forum/read.php?4,565

Аватар пользователя Subj

Re: Драйвера для Lucent Winmodem

Блин, я ж дал линк.
http://linmodems.technion.ac.il/packages/ltmodem/kernel-2.6/ltmodem-8.31...
Предназначено для ядер 2.6.х. Компилишь и получаешь те самые ltmodem и ltserial. Я на 2.6.9 проблем со сборкой не испытал.
Заново с нуля х*ен их напишешь, поскольку техническая информация по этим девайсам не распространяется. Если только дизассемблить бинарники.
А пишут эти дрова производители...
DSP программный, центральный процессор тоже, полная эмуляция AT, в общем лажа, хотя бывает и хуже.

И тебе же подсказывают, что нужные модули возможно уже есть, хотя у себя я их чет не находил по умолчанию.
Так что попробуй сразу сделать
# modprobe ltserial ltmodem

Аватар пользователя fuze

Re: Драйвера для Lucent Winmodem

Спасибо, попробую.
Улыбка

Аватар пользователя fuze

Re: Драйвера для Lucent Winmodem

Скачал я ltmodem-8.31b1.tar.gz. Откомпилил, получил ltmodem и ltserial. Скопировал в /lib/modules/`uname -r`/extra; depmod -a; modprobe ltserial. Потом ссылка /dev/modem. При опросе модема в KPPP машина висла намертво. Что делать дальше?! Да, ltserial, ltmodem в модулях не было по умолчанию...

Аватар пользователя Subj

Re: Драйвера для Lucent Winmodem

А почему только modprobe ltserial? Надыть их оба загружать
modprobe ltserial
modprobe ltmodem

Аватар пользователя fuze

Re: Драйвера для Lucent Winmodem

Цитата:
Subj пишет:
А почему только modprobe ltserial? Надыть их оба загружать
modprobe ltserial
modprobe ltmodem

Это от туда http://www.infocity.kiev.ua/os/content/os398.phtml :

Цитата:
Допустим, что у нас уже есть два нужных модуля (мы-то движемся с конца): ltmodem.ko и ltserial.ko. Скопируем их в какое-нибудь приметное место внутри каталога модулей, например в /lib/modules/`uname -r`/extra. Выполним обновление зависимостей depmod -a и убедимся, что в modules.dep появились строки: /lib/modules/2.6.11-1.1369_FC4/extra/ltserial.ko: /lib/modules/2.6.11-1.1369_FC4 /extra/ltmodem.ko /lib/modules/2.6.11-1.1369_FC4/extra/ltmodem.ko: Как видите, модуль ltserial зависит от ltmodem, так что мы можем выдать только modprobe ltserial — и ltmodem будет загружен автоматически (маленькая радость). Если мы один раз загрузим модуль, он и впредь будет загружаться, даже после перезагрузки.

На lsmod показываются оба модуля!
После перезагрузки на dmesg:

Цитата:
ltmodem: module license 'Proprietary' taints kernel. Loading Lucent Modem Controller driver version 8.26-alk Detected Parameters Irq=7 BaseAddress=0xdc00 ComAddress=0xd800 ttyLTM0 at I/O 0xdc00 (irq = 7) is a Lucent/Agere Modem PCI: Setting latency timer of device 0000:00:02.2 to 64

Да, и еще /etc/udev/rules.d/ltmodem.rules:

Цитата:
KERNEL="ttyLTM[0-9]", NAME="%k", MODE="0660", GROUP="dialout", SYMLINK="modem"

В следствие чего символьная ссылка /dev/modem появляется автоматически.
Так вот, по-видимому модули не рабочие.... Грустный
Что делать?????? :-?

Аватар пользователя Subj

Re: Драйвера для Lucent Winmodem

Тээк, а в 10-ке модем работает?
Модули грузяться нормально, нормально определяют девайс, ня знай..., а эти модули считай тоже самое, что и в
ltmodem-kv_2.6.9_1.667asp-8.31a10-1.i686....
Меня смущает то, что: Lucent Winmodem (Genius), а не (Agere)

/etc/udev/rules.d/ltmodem.rules у меня выглядит несколько лаконичней:
KERNEL="ttyLTM[0-9]", NAME="%k", SYMLINK="modem"

Что еще.. мож ченить с прерываниями страшное происходит..
попробуй еще kppp под рутом запустить, было вроде чето с этим связанное.

Да, а какой ос ты пользуешся, в которой этот модем работает? и какие дрова там? та самая десятка и тот самый ltmodem-kv_2.6.9_1.667... ?

/offtop а в asp11 ядро какое вообще? а то пойду в сурсах полазию...

Аватар пользователя Subj

Re: Драйвера для Lucent Winmodem

Мда, kppp под рутом, гыы Улыбка

Выдержка из NEWS в ltmodem-8.31b1.tar.gz:
news for versions <-alk-7:
* driver works
* three binary cores supplied: newest 8.31, 8.31 with misc fix (-with-memset)
and some (I don't remember exactly which) previous version
(possibly with my fixes). 8.31 is known to fail with some modems (At least with Genius 56PCI-L).

в README сказанно:
1. Requirements
..
- serial_core enabled in kernel configuration
(Device Drivers/Character Devices/Serial Drivers/"8250/16550..."
in menuconfig to "Yes" or "Module")
(most vendor supplied kernels enable this)

...
Copy them(ltmodem.ko & ltserial.ko) to /lib/modules/`uname -r`/other/ dir and
run depmod -a. -- хотя не из за этого скорее всего..
Edit your modprobe.conf to load ltserial (not lt_serial)
for /dev/ttyLTM0.
My modprobe.conf contains following lines:
alias /dev/modem ltserial
alias char-major-62 ltserial
alias /dev/ttyLT0 ltserial

Мож вот это попробовать?:
http://linmodems.technion.ac.il/packages/ltmodem/kernel-2.6/ltmodem-8.26...

или 8.31a10:
http://www.physcip.uni-stuttgart.de/heby/ltmodem/ltmodem-8.31a10.tar.gz
or
http://www.sfu.ca/~cth/ltmodem/ltmodem-8.31a10.tar.gz

Аватар пользователя fuze

Re: Драйвера для Lucent Winmodem

1. В 10-ке модем работал с пакетом ltmodem-kv_2.6.9_1.667asp-8.31a10-1.i686 отлично.
2. Я тоже грешу на прерывания. Встречный вопрос: как назначить другие прерывания?
3. Под root тоже самое...
4. Ядро 2.6.14-1.1653.1asp.
5. Вторая система WindowsXP.
6. Скачал дрова по твоим ссылкам - попробую, но по-моему я их уже пробовал. Я что тока не пробовал уже.... Грустный Дело, наверное, либо в прерываниях, либо в модулях.

Аватар пользователя Subj

Re: Драйвера для Lucent Winmodem

8.31a10 попробуй.
Насчет прерываний: если модем с кем то общую линию прерывания делит, то, если это вообще возможно, можно попробовать для начало "вырубить" второй девайс и проверить. Ну а так, я, чессна говоря, никогда не сталкивался с необходимостью перетасовки прерываний, так что боюсь фигни насоветовать.

Аватар пользователя keng00ru

Re: Драйвера для Lucent Winmodem

fuze писал(а):
Да, ltserial, ltmodem в модулях не было по умолчанию...

Да, каюсь: был не прав. Это дополнительные модули.
А что за нездоровая любовь к последним версиям? Да не просто "бета", а даже "альфа"! Это в Win-е в последних версиях предыдущие баги исправляют, а в Linux-е на последних версиях эксперименты ставят...
Попробуйте воспользоваться последним стабильным вариантом:
http://alk.at.tut.by/ltmodem-2.6-alk-7.tar.bz2

Аватар пользователя Subj

Re: Драйвера для Lucent Winmodem

Так вроде на основе 8.31a10 и был собран рпм пакет для десятки, который у товарища нормально работает, вроде. :-?
Но на сайте уже (да и давно уже) дается линк на другой пакет: ltmodem-kv_2.6.9-1.667asp-2.6-7.i386.rpm, как раз из того самого ltmodem-2.6-alk-7.tar.bz2 видимо. В общем, фиг его знает, главное чтоб работало :pardon:

Аватар пользователя keng00ru

Re: Драйвера для Lucent Winmodem

Subj писал(а):
на основе 8.31a10 и был собран рпм пакет для десятки

Официальный?

Цитата:
который у товарища нормально работает, вроде.

Ну и хорошо. Ему повезло. Просто есть разница: "стабильно работает" и "вроде как даже стабилен и должен работать". Улыбка

Цитата:
В общем, фиг его знает, главное чтоб работало

За это и выпьем! Выпьем По сути-то не важно, кто, как и из чего собирал пакет, главное - чтоб работало. Но копаться всё равно придётся.

Аватар пользователя fuze

Re: Драйвера для Lucent Winmodem

Цитата:
http://alk.at.tut.by/ltmodem-2.6-alk-7.tar.bz2

и

Цитата:
http://alk.at.tut.by/ltmodem-2.6-alk-8.tar.bz2

Все тоже самое: при обращении к устройству машина виснет намертво....
ААААААААААААА.... Блюёт
Хочется ударить по системнику... Катается от смеха
По ходу придется вылезать в нет из винды... Грустный
Только как обновляться.....
Может еще какие варианты есть?

Аватар пользователя Subj

Re: Драйвера для Lucent Winmodem

http://www.physcip.uni-stuttgart.de/heby/ltmodem/ltmodem-8.31a10.tar.gz
Этот тоже?!

Мдя, мож ядро другое поставить? Катается от смеха Модем нормальный купить?

Аватар пользователя fuze

Re: Драйвера для Lucent Winmodem

Сейчас модем нет возможности купить. На ядре 2.6.16 или какое там в обновлениях скорее всего будет тоже самое. ltmodem-8.31a10.tar.gz тоже пробовал. Короче я так понимаю ни чего не получится с ядрами выше 2.6.9... Грустный

http://community.asplinux.ru/forum/1/60086/?sid=82d6089c8fa4246d1c34812fa7cce716

Цитата:
Читал, что в 2.6.14 и выше чегото натворили с поддержкой PCI девайсов... Так что остаётся ждать новых ядер от ядрописателей, с надеждой, что они починят, либо ждать исправленных драйверов..

Кто-нибудь слышал что-нибудь об этом? И переход на более новое ядро может решить мою проблему?

Аватар пользователя Subj

Re: Драйвера для Lucent Winmodem

Как вариант - поставить ядро с http://kernel.org/ (точнее попытаться Улыбка ) ?

Аватар пользователя keng00ru

Re: Драйвера для Lucent Winmodem

fuze,
Давай так: просто переустановкой драйвера решить свои проблемы можно только в Win.
Изначально - ты предыдущие драйвера удалял, перед установкой новых? Я думаю - нет. Ты поставил стабильный, рабочий драйвер? Он работает? Нет? Есть проблемы? Опиши их более конкретно. Приведи логи. Если мы не поможем, нет проблемы обратиться к разработчикам драйверов. Я сделаю запрос, но объясни о чём?
Ситуация, которую я сейчас вижу, выглядит так: "На неизвестный модем было установленно подряд несколько версий Ваших паршивых драйверов. Ни один из них с места не завёлся. Приедьте ко мне и настройте, потому, что я не понимаю..."
Извини, но это действительно выглядит так.
Subj,
И тебе ещё до кучи: это что, повод переустанавливать ядро (тем более, ванильное)? Ты правда так думаешь? Мне кажется, ядро стоит переустановить, когда в его новой версии появилась поддержка Вашего нового оборудования, либо когда это реально может отразиться на безопастности Вашей системы (здесь речь уже не о домашних машинах). Исключение составляет мой тёзка он же Sergeil, который просто любит всё новое.

Аватар пользователя Subj

Re: Драйвера для Lucent Winmodem

Критику понял, исправлюсь Простите меня
А по моемому все понятно было описано, модуль загружается нормально, логи в порядке. Но вот когда начинается опрос,: ATZ, драйвер начинает свою работу, сбрасывает модем, инициализирует DSP, активно начинает работать с IO & PCI Memory, где-то вот здесь и происходит что-то страшное, приводящее к зависону ядра. Уж незнаю, как модуль работает с PCI памятью и используется ли она вообще (сам не раз вешал систему из-за PCI причем из просто приложения), может ошибка при распределении памяти под микропрогаммки.. да и много чего в драйверах подобного типа, нездорового происходит в эти моменты.... хм

Цитата:
При опросе модема в KPPP машина висла намертво.

Ошибка модуля, что здесь еще можно сказать? а мож и вправду:
8.31 is known to fail with some modems (At least with Genius 56PCI-L). ?
А на ядрах выше 2.6.9 модуль нормально работает, поскольку с упоминаниями таких проблем не встречался, хотя модемы то эти в большинстве своем Lucent/Agere.

Чво говорит /sbin/lspci -vv
Что за чип на модеме? маркировочку

Аватар пользователя fuze

Re: Драйвера для Lucent Winmodem

Цитата:
keng00ru пишет:
Изначально - ты предыдущие драйвера удалял, перед установкой новых? Я думаю - нет. Ты поставил стабильный, рабочий драйвер? Он работает? Нет? Есть проблемы? Опиши их более конкретно. Приведи логи. Если мы не поможем, нет проблемы обратиться к разработчикам драйверов. Я сделаю запрос, но объясни о чём?

Итак:
1. Модем марки Genius, маркировка на диске с дровами под Windows - GM56PCI-LA.
1.1 /sbin/lspci -vv говорит (то что касается модема):
02:0a.0 Communication controller: Agere Systems LT WinModem (rev 02)
Subsystem: Agere Systems LT WinModem
Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- SERR-

Аватар пользователя keng00ru

Re: Драйвера для Lucent Winmodem

Интересно. Модем в рабочем состоянии. Но система виснет...
Либо это то, о чём писал Subj:

Цитата:
...8.31 is known to fail with some modems (At least with Genius 56PCI-L)...

Либо есть какая-то проблема с распределением прерываний. На IRQ 7 больше ничего не болтается?

Аватар пользователя fuze

Re: Драйвера для Lucent Winmodem

Цитата:
keng00ru пишет:
На IRQ 7 больше ничего не болтается?

Как посмотреть? И как сменить прерывание?

Аватар пользователя keng00ru

Re: Драйвера для Lucent Winmodem

fuze писал(а):
Как посмотреть?

В выводе #lspci -v для каждого устройства описываются его IRQ. Желательно, чтобы на IRQ 7 больше ничего небыло.

Цитата:
И как сменить прерывание?

Для начала выставить в BIOS: "OS - no Plug'n'Play". Посмотреть что из этого получится.
Вручную менять прерывания - дело неблагодарное: может кончиться очень плохо. На форуме было что-то на эту тему. Сейчас посмотрю.

Аватар пользователя fuze

Re: Драйвера для Lucent Winmodem

Да будет связь! :mda:
Я продвинулся в своих мучениях с модемом путем отключения в Bios последовательного, параллельного порта и Irda (зачем Irda на материнке было включено не знаю - самого ик порта у меня нет) - значит все-таки было дело в прерываниях? И после загрузки системы модем уже опрашивался и под root-ом и под пользователем (чтобы запустить KPPP под пользователем сделал: rm /usr/bin/kppp;chmod u+s /usr/sbin/kppp; ln -s /usr/sbin/kppp /usr/bin/kppp). НО, под пользователем при нажатии "подключить" загрузка процессора на 100%, а подключение не происходило, но и машина не висла (видимо что-то с правами на /dev/modem; кстати что? Содержимое ltmodem.rules: KERNEL="ttyLTM[0-9]", NAME="%k", MODE="0660", GROUP="dialout", SYMLINK="modem"); при запуске от root модем открывал порт, набирал номер, начинал устанавливать подключение (динамик шипел как положенно) и благополучно вешал машину как и раньше Грустный ! Теперь пробовать все драйвера заново? Да, текущий драйвер ltmodem-2.6-8alk. До отключения портов в bios он вел себя так же как и все другие - т. е. сразу вешал машину.
Попробую еще выставить "OS - no Plug'n'Play"...

Аватар пользователя fuze

Re: Драйвера для Lucent Winmodem

"OS - no Plug'n'Play" и подобного в bios не было...
При запуске minicom машина вешается сразу... А при подключении через KPPP звонит и вешается при сообщении "Вход в сеть" при записи в журнале "conneсt V44". Грустный Грустный Грустный

Аватар пользователя fuze

Re: Драйвера для Lucent Winmodem

Может кто-нибудь подскажет хотя бы куда обратиться? Перепробовал ВСЕ драйверы, а добился чуть.... Грустный Грустный :-?

Аватар пользователя sergeil

Re: Драйвера для Lucent Winmodem

fuze писал(а):
Попробую еще выставить "OS - no Plug'n'Play"...

Это нужно сделать в первую очередь...

Аватар пользователя fuze

Re: Драйвера для Lucent Winmodem

Цитата:
sergeil пишет:
Это нужно сделать в первую очередь...

Нет у меня в bios этого пункта!!! :-?

Аватар пользователя keng00ru

Re: Драйвера для Lucent Winmodem

fuze писал(а):
Нет у меня в bios этого пункта!!!

Обязан быть, если у тебя не ноутбук. Он может по-другому называться. Смысл остаётся прежним: поддержка операционной системой устройсты Plug-and-Play.
Материнская плата какая?

Аватар пользователя fuze

Re: Драйвера для Lucent Winmodem

Цитата:
keng00ru пишет:
Обязан быть, если у тебя не ноутбук. Он может по-другому называться. Смысл остаётся прежним: поддержка операционной системой устройсты Plug-and-Play.
Материнская плата какая?

Материнская плата Microstar на nforce2. Вот три "скриншота" bios, в zip - 73Кb.

Аватар пользователя keng00ru

Re: Драйвера для Lucent Winmodem

fuze писал(а):
Microstar на nforce2

А модель? Их там дюжина, как минимум.

Цитата:
Вот три "скриншота"

Где? :-o

Вообще, мне не понравились примечания на сайте MSI относительно их BIOS-а:

Цитата:
• BIOS системной платы включает в себя "Plug&Play", который автоматически
определяет периферийные устройства и карты расширения.
• Системная плата имеет функцию Desktop Management Interface(DMI),
которая фиксирует параметры Вашей системной платы.

Как бы они "от себя" чего-нибудь не нахимичили...
Кстати, fuze, а есть в системе что-нибудь, что под 10-кой НЕ работало, а под 11-ой завелось? Просто что-то же должно мешать, что раньше не мешало?

Аватар пользователя fuze

Re: Драйвера для Lucent Winmodem

Цитата:
keng00ru пишет:

Цитата:
Вот три "скриншота"

Где? :-o
Кстати, fuze, а есть в системе что-нибудь, что под 10-кой НЕ работало, а под 11-ой завелось? Просто что-то же должно мешать, что раньше не мешало?

1. Исправляюсь, вот скриншоты в zip.
2. Материнка K7N2 Delta2-LSR.
3. Все что в 10-ке не работало, в частности FM тюнер, не работает и в 11! Плюс ко всему не работает модем.

ВложениеРазмер
P5080924.zip 71.63 КБ
Аватар пользователя fuze

Re: Драйвера для Lucent Winmodem

Цитата:
Активность просто впечятляет... Сколько помню одна и таже трабла переходит с версии к версии может всем сидеть под асп 10 2.6.9
http://community.asplinux.ru/forum/1/60086/

Вот уже два месяца бьюсь над этим модемом, а толку чуть. На форуме (ссылка выше) вроде пишут, что после обновления ядра до 2.6.16-1.2111 проблема снимается. Подскажите, что нужно скачать вручную помимо kernel-2.6.16-1.2111asp.i686.rpm?
P. S. Сколько мук.... и ради чего... не знаю. уже просто спортивный интерес.

Аватар пользователя fuze

Re: Драйвера для Lucent Winmodem

Ура! Завел я все-таки модем! НО:
1. Решил я обновить ядро до kernel-2.6.16-1.2111asp. Скачал поставил - тоже самое система виснет при входе в сеть.
2. На Мандриве 2006 (ядро 2.6.12) все работает. Выше 2.6.12 - нет.
3. Решил перекомпилить ядро kernel-2.6.16-1.2111asp. Скачал kernel-2.6.16-1.2111asp.src.rpm; rpm -i kernel-2.6.16-1.2111asp.src.rpm; перешел в каталог /usr/srс/asplinux/SPECS/ и наложил все патчи rpmbuild -bp --target=i686 kernel-2.6.spec. Далее пошел в /usr/src/asplinux/BUILD/kernel-2.6.16/. Там две папки: linux-2.6.16 и vanilla. Я так понял, что первая папка это исходники на asp-шное ядро, вторая с исходниками оригинального ядра от Торвальдса Улыбка . Самое интересное, что перекомпилив asp-шные исходники я получил тоже самое - система висла, да и кстати Xorg не грузился - ругался на сервер шрифтов; а перекомпилив ванильные исходники модем заработал и X-ы грузились как ни в чем не бывало.
4. Почему так получается???!!!
5. Видимо какой-то патч от ASP всю малину мне портил... Грустный Как узнать какой? В ванильном ядре какая alsa? Прикладываю свой конфиг ядра.

ВложениеРазмер
config.txt 43.51 КБ
Аватар пользователя fuze

Re: Драйвера для Lucent Winmodem

И в заключении:
Хорошо на новых ядрах работает драйвер martian. http://linmodems.technion.ac.il/packages/ltmodem/kernel-2.6/martian/mart...
Распаковываем, make all, make install, /sbin/depmod -a. А в /etc/rc.d/init.d копируем файл martian (редактируя, меняем в нем ссылку на /dev/modem, т. к. по умолчанию /dev/ttySM0) из корня архива, добавляем в свой уровень запуска. Все работает лучше и стабильнее чем оригинальные дрова - музыка и мышка не дергается при открытии порта модема, дисконнекта не было ни разу! :good:

Аватар пользователя Yuri

Re: Драйвера для Lucent Winmodem

Я установил драйвер martian. Модем работает хорошо.
Только приходится вручную подгружать драйвер, набирая:

/sbin/modprobe martian_drv
/usr/sbin/martian_helper --daemon

Подскажите, как заставить загружать драйвер при загрузке ОС? :-?

Аватар пользователя IsakovAN

Re: Драйвера для Lucent Winmodem

/etc/modules.autoload.d/kernel-2.6
Для запуска демона надо написать скрипт. Примеры есть в /etc/init.d Улыбка

Аватар пользователя fuze

Re: Драйвера для Lucent Winmodem

Насколько я помню там в дистрибутиве нужный скрипт уже есть и его нужно просто скопировать в нужный уровень запуска.

Аватар пользователя Yuri

Re: Драйвера для Lucent Winmodem

В скрипт martian добавил строку:
/sbin/modprobe martian_drv
Все теперь грузится.

Аватар пользователя fuze

Re: Драйвера для Lucent Winmodem

Цитата:
В скрипт martian добавил строку:
/sbin/modprobe martian_drv

Вообще достаточно один раз загрузить /sbin/modprobe martian_drv - потом модуль грузится автоматически Поражён

Аватар пользователя Yuri

Re: Драйвера для Lucent Winmodem

Почему-то не грузится автоматически. Не знаю в чем дело.

RSS-материал